//*****************************************************//
//
// Unit: RsCheckValue
//
// Purpose: Template for simple range checking
//
// Inherits From: Nothing
//
// Project: RapidMisc
//
// Author: Jeff Hiscock -- jhiscock@rapidsi.com
//
// Date: March 2000
//
// Revisions
//
// Copyright Rapid Systems 2000
//******************************************************//
//---------------------------------------------------------------------------
#ifndef RsCheckValueH
#define RsCheckValueH
//---------------------------------------------------------------------------
template <class T>
class TRsCheckValue
{

         public:
         T Min;
         T Max;
         bool IsOverMax(T value)
         {
             return (value > Max);
         }
         bool IsBelowMin(T value)
         {
            return (value < Min);
         }



};

#endif
